#include <iostream>
#include <cstdio>

using namespace std;
char ch[10][10];

int main()
{
    int n,m;
    cin>>n>>m;
    for(int i=0;i<n;i++)
    {
        for(int j=0;j<m;j++)
        {
            cin>>ch[i][j];
        }
    }
    cout<<"-1"<<endl;
}